OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class SnmpManageNodesServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.SnmpManageNodesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SnmpManageNodesServlet
extends javax.servlet.http.HttpServlet

A servlet that handles managing or unmanaging interfaces and services on a node

Author:
  Tarus Balog , OpenNMS
See Also:
  Serialized Form

Field Summary
`private static java.lang.String` `UPDATE_INTERFACE`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`SnmpManageNodesServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` `getList(java.lang.String[] array)`
`void` `init()`
`private void` `sendEvent(Event event)`
`private void` `sendSNMPRestartEvent(int nodeid, java.lang.String primeInt)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPDATE_INTERFACE

    private static final java.lang.String UPDATE_INTERFACE

See Also:
  Constant Field Values

Constructor Detail

### SnmpManageNodesServlet

    public SnmpManageNodesServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### sendSNMPRestartEvent

    private void sendSNMPRestartEvent(int nodeid,
                                      java.lang.String primeInt)
                               throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### sendEvent

    private void sendEvent(Event event)
                    throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getList

    private java.util.List getList(java.lang.String[] array)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.